/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],

  // But you can create a sidebar manually
  
  tutorialSidebar: [
    'intro',
    'faq',
    'troubleshoot',
    'genuine-installation-media',
    {
      type: 'category',
      label: 'Docs',
      items: ['hwid','ohook','tsforge','kms38','online_kms','chart','command_line_switches','check_activation_status','oem-folder','change_windows_edition','change_office_edition'],
    },
	'guide_links',
	'news',
	'changelog',
	'unsupported_products_activation',
	'our_non-piracy_site',
	'credits',
	'contactus',
  ],
  
};

export default sidebars;
